Page MenuHomeFreeBSD

net-mgmt/netbox: Update to 2.5.6
ClosedPublic

Authored by kai on Feb 13 2019, 2:13 PM.

Details

Summary
  • Fix whitespace in pkg-plist

Notable changes since 2.4.9:

  • Modeling of patch panels and cables with introducion of new pass-through port component type
  • Removed deprecated User Activity log
  • Dropped support for Python 2
  • Introduction of further interface types
  • Implemented Select2 for select fields in forms
  • Many more enhancements/bug fixes, for all changes see:

https://github.com/digitalocean/netbox/blob/v2.5.6/CHANGELOG.md

Test Plan
  • poudriere (11.2, 12.0-RELEASE, 13.0-CURRENT@r342772 amd64 + i386) -> OK
  • portlint -> OK
  • Inplace upgrade via pkg -> OK
  • Database migrations from 2.4.9 to 2.5.6 via "python3.6 manage.py migrate" -> OK
  • Upgrade by using portmaster -> same issue as in PR 233442 (https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=233442) "FLAVOR is defined while port does not have FLAVORS"

Workrounds when using portmaster:

  • uninstall/reinstall netbox
  • add FLAVORS/FLAVOR hack (variant B of PR 233442) before upgrading

Adding matthew@ as subscriber because he also uses net-mgmt/netbox and to give him the possibility to test the new version.

Diff Detail

Lint
No Linters Available
Unit
No Unit Test Coverage
Build Status
Buildable 22496
Build 21647: arc lint + arc unit

Event Timeline

kai created this revision.Feb 13 2019, 2:13 PM
Harbormaster completed remote builds in B22479: Diff 53870.
kai updated this revision to Diff 53895.Feb 13 2019, 10:21 PM

Removed the USE_PYTHON=noflavors . It seems bogus in that case because "distutils" are not used.

kai updated this revision to Diff 53912.Feb 14 2019, 10:04 AM

Upstream has released 2.5.6 some hours ago which has bugfixes and some improvements.

kai retitled this revision from net-mgmt/netbox: Update to 2.5.5 to net-mgmt/netbox: Update to 2.5.6.Feb 14 2019, 10:07 AM
kai edited the summary of this revision. (Show Details)
kai edited the test plan for this revision. (Show Details)
miwi accepted this revision.Feb 19 2019, 1:45 PM

LGTM

This revision is now accepted and ready to land.Feb 19 2019, 1:45 PM
This revision was automatically updated to reflect the committed changes.